// Copyright 1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
/* $Header: /Network/Source/CVS/OmniGroup/Applications/OmniCreditAuthorizer/TransactionController.h,v 1.3 1999/11/12 23:41:52 luke Exp $ */

#import <AppKit/AppKit.h>

@interface TransactionController : NSObject
{
    IBOutlet NSTextField *orderNumberField;
    IBOutlet NSFormCell *cardNumberFormCell;
    IBOutlet NSFormCell *expirationFormCell;
    IBOutlet NSFormCell *amountFormCell;
    IBOutlet NSFormCell *nameFormCell;
    IBOutlet NSFormCell *addressFormCell;
    IBOutlet NSFormCell *cityFormCell;
    IBOutlet NSFormCell *stateFormCell;
    IBOutlet NSFormCell *zipFormCell;
    IBOutlet NSTextField *statusField;
    IBOutlet NSTextField *merchantIDField;
    IBOutlet NSTextField *messageField;
    IBOutlet NSButton *authorizeButton;
    IBOutlet NSForm *requiredForm;
    IBOutlet NSForm *optionalForm;
}

- init;

- (void)authorize:sender;

@end
